C
C------------------------------------------------------
C
C     Problem:    BATCHD
C
C     Date:       18.01.96
C
C------------------------------------------------------
C 
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      N, K, CA0, CA, T
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION CAP
      if (CA.gt.0) then
        CAP = -K*CA**N   
      else
        CAP = 0
      endif
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION CA_INI
      CA_INI = CA0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION CASIM
      CASIM = CA
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
