C
C------------------------------------------------------
C
C     Problem:    LEG_POL
C
C     Date:       16.01.00
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a, b, y1, y2, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION y1_t
      if (t**2.ne.a) then
        y1_t = y2/(a - t**2)
      else
        y1_t = -1000
      endif
C
*     FUNCTION y2_t
      y2_t = -b*y1
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION y1_0
      y1_0 = -0.5
C
*     FUNCTION y2_0
      y2_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION y1_fit
c      y1_fit = (3*t**2 - 1)/2
      y1_fit = y1
C
*     FUNCTION y2_fit
c      y2_fit = 3*t*(1 - t**2)
      y2_fit = y2
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
