C
C------------------------------------------------------
C
C     Problem:  RECLIG6
C
C     Date:     10.11.1993
C
C------------------------------------------------------
C
*     REAL CONSTANT
      K11=4.0
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. system variables (z)
C     3. time variable (t)
C
*     VARIABLE
      K12, R1, l1, ZR1, ZL1, ZL2S, L2
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     nonlinear equations:
C
*     FUNCTION G1
      G1=ZR1*(1 + K11*ZL1 + K12*ZL2S*L2) - R1
C
*     FUNCTION G2
      G2=ZL1*(1 + K11*ZR1) - L1
C
*     FUNCTION G3
      G3=ZL2S*(1 + K12*ZR1) - 1
C
C------------------------------------------------------
C
C   - Initial values for solving systems of nonlinear
C     equations:
C
*     FUNCTION ZR10
      ZR10=R1
C
*     FUNCTION ZL10
      ZL10=L1
C
*     FUNCTION ZL2S0
      ZL2S0=1
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION FIT
      FIT=L1 - ZL1
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
