C
C------------------------------------------------------
C
C     Problem:    RODC
C
C     Date:       13.02.01
C
C------------------------------------------------------
C 
*     REAL CONSTANT
      TEMP0 = 2000    
      I = -15000     
C
C------------------------------------------------------
C 
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      A, K, TEMPP, TEMP, Z
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION TEMPP_Z
      TEMPP_Z = A*1E-8*(TEMP**4)
C
*     FUNCTION TEMP_Z
      TEMP_Z = TEMPP
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION TEMPP_0
      TEMPP_0 = I-K*TEMP0
C
*     FUNCTION TEMP_0
      TEMP_0 = TEMP0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION TEMP_fit
      TEMP_fit = TEMP
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G
C      G = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
